<?php
/**
* joomla_lms.outdocs.html.php
* (c) JoomaLMS eLearning Software http://www.joomlalms.com/
**/

// no direct access
defined( '_JLMS_EXEC' ) or die( 'Restricted access' );

class JLMS_outdocs_html {
	static function show_ZipPack( $option, &$row_zip, &$lists, $doc_type = 'zip' ) {
		global $Itemid, $JLMS_CONFIG;

		JLMS_TMPL::OpenMT();

		$hparams = array(
		'show_menu' => true,
		'simple_menu' => true,
		);
		if ($doc_type == 'document_contents') {
			$toolbar[] = array('btn_type' => 'archive', 'btn_str' => _JLMS_DOWNLOAD,  'btn_js' => sefRelToAbs("index.php?option=$option&amp;Itemid=$Itemid&amp;task=get_outdoc&amp;id=$row_zip->doc_id&amp;force=force") );
		}
		/*$back_link = sefRelToAbs("index.php?option=$option&amp;Itemid=$Itemid&amp;task=documents&amp;id=$course_id");
		if (isset($lists['lpath_id']) && $lists['lpath_id']) {
			$back_link = sefRelToAbs("index.php?option=$option&amp;Itemid=$Itemid&amp;task=compose_lpath&amp;course_id=$course_id&amp;id=".$lists['lpath_id']);
		}*/

		//01.12.2007 - (DEN) - Compatibility for returning from the document view to the doc.tool/course homepage/lpaths list.
		$back_link = JLMSRoute::_("index.php?option=$option&amp;Itemid=$Itemid&task=outdocs".($row_zip->parent_id ? "&folder=$row_zip->parent_id" : '')."&element=$row_zip->id");
		$toolbar[] = array('btn_type' => 'back', 'btn_js' => $back_link );
		JLMS_TMPL::ShowHeader('outdoc', $row_zip->doc_name, $hparams, $toolbar);

		if ($doc_type == 'zip') {
			JLMS_TMPL::OpenTS();
			echo '<iframe id="zip_contents" name="zip_contents" height="600" width="100%" frameborder="0" scrolling="auto" src="'.$JLMS_CONFIG->get('live_site') . "/" . _JOOMLMS_SCORM_PLAYER . "/".$row_zip->zip_folder."/".$row_zip->startup_file.'">'._JLMS_IFRAMES_REQUIRES.'</iframe>';
			JLMS_TMPL::CloseTS();
		} elseif ($doc_type == 'content') {
			JLMS_TMPL::OpenTS();
			$text = JLMS_ShowText_WithFeatures($row_zip->doc_description);
			echo $text;
			JLMS_TMPL::CloseTS();
		} elseif ($doc_type == 'document_contents') {
			JLMS_TMPL::OpenTS('', ' id="jlms_doc_contents_container"');
			echo $row_zip->doc_description;
			JLMS_TMPL::CloseTS();
		}
		JLMS_TMPL::CloseMT();
	}
    
    static function confirm_updateLinkedResources( $scorm_id, $sources_update, $option ) {
		global $Itemid, $JLMS_CONFIG;
        ?>
        <script language="javascript" type="text/javascript">
        <!--
        function submitbutton(pressbutton) {
            var form = document.adminForm;
            form.task.value = 'save_scorm';
            if (pressbutton == 'confirmed'){
                form.update_all_recent_sources.value = 2;
                form.submit();
            } else {
                form.update_all_recent_sources.value = 1;
                form.submit();
            }
        }
        //-->
        </script>
        <?php
		JLMS_TMPL::OpenMT();

		$hparams = array();
		$hparams['sys_msg'] = _JLMS_RESOURCES_ARE_IN_UPDATE;
		$hparams['show_menu'] = false;
		$hparams['simple_menu'] = true;
	
		$toolbar = array();
		$toolbar[] = array('btn_type' => 'yes', 'btn_js' => "javascript:submitbutton('confirmed');");
		$toolbar[] = array('btn_type' => 'cancel', 'btn_js' => "javascript:submitbutton('unconfirmed');");
		$hparams['toolbar_position'] = 'center';
		JLMS_TMPL::ShowHeader('outdocs', '', $hparams, $toolbar);

		JLMS_TMPL::OpenTS();
        ?>
		<form action="<?php echo sefRelToAbs("index.php?option=".$option."&amp;Itemid=".$Itemid);?>" method="post" name="adminForm" enctype="multipart/form-data">
			<table width="100%" cellpadding="0" cellspacing="0" border="0" class="<?php echo JLMSCSS::_('jlmslist');?>">
			<thead>
				<tr>
					<<?php echo JLMSCSS::tableheadertag();?> width="20" class="<?php echo JLMSCSS::_('sectiontableheader');?>" align="center">#</<?php echo JLMSCSS::tableheadertag();?>>
					<<?php echo JLMSCSS::tableheadertag();?> width="16" class="<?php echo JLMSCSS::_('sectiontableheader');?>" align="center">&nbsp;</<?php echo JLMSCSS::tableheadertag();?>>
					<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?>"><?php echo _JLMS_DOCS_TBL_DOCNAME;?></<?php echo JLMSCSS::tableheadertag();?>>
					<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?>"><?php echo _JLMS_COURSES_TBL_HEAD_NAME;?></<?php echo JLMSCSS::tableheadertag();?>>
				</tr>
			</thead>
			<tfoot>
			</tfoot>
			<tbody>
			<?php
			$k = 1;
			$num = 1;
			for ($i=0, $n=count($sources_update); $i < $n; $i++) {
				$row = $sources_update[$i];
                ?>
                <tr class="<?php echo JLMSCSS::_('sectiontableentry'.$k); ?>">
                    <td align="center"><?php echo ( $num ); ?></td>
                    <td>
                    <?php
						echo '<span class="jlmsicon-'.$row->file_icon.'"></span>';
                    ?>
                    </td>
                    <td align="left">
                    <?php echo $row->doc_name;?>
                    </td>
                    <td><?php echo $row->course_name;?></td>
                </tr>
                <?php
                $k = 3 - $k;
                $num++;
			}
            ?>		
			</tbody>
			</table>
			<input type="hidden" name="option" value="<?php echo $option;?>" />
			<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
			<input type="hidden" name="task" value="save_scorm" />
			<input type="hidden" name="id" value="<?php echo $scorm_id;?>" />
			<input type="hidden" name="update_all_recent_sources" value="0" />
		</form>
        <?php
		JLMS_TMPL::CloseTS();
		JLMS_TMPL::CloseMT();
	}

    static function confirm_delLinkedResources( &$del_items, &$old_cid, &$course_names, $option ) {
		global $Itemid, $JLMS_CONFIG; ?>
<script language="javascript" type="text/javascript">
<!--
function submitbutton(pressbutton) {
	var form = document.adminForm;
	if (pressbutton == 'outdoc_delete'){
		form.task.value = pressbutton;
		form.submit();
	} else {
		form.task.value = pressbutton;
		form.submit();
	}
}
//-->
</script>
	<?php
		JLMS_TMPL::OpenMT();

		$hparams = array();
		$hparams['sys_msg'] = _JLMS_RESOURCES_ARE_IN_USE;
		$hparams['show_menu'] = false;
		$hparams['simple_menu'] = true;
	
		$toolbar = array();
		$toolbar[] = array('btn_type' => 'yes', 'btn_js' => "javascript:submitbutton('outdoc_delete');");
		$toolbar[] = array('btn_type' => 'cancel', 'btn_js' => "javascript:submitbutton('cancel_outdoc');");
		$hparams['toolbar_position'] = 'center';
		JLMS_TMPL::ShowHeader('outdocs', '', $hparams, $toolbar);

		JLMS_TMPL::OpenTS();
?>
		<form action="<?php echo sefRelToAbs("index.php?option=".$option."&amp;Itemid=".$Itemid);?>" method="post" name="adminForm">
			<table width="100%" cellpadding="0" cellspacing="0" border="0" class="<?php echo JLMSCSS::_('jlmslist');?>">
			<thead>
				<tr>
					<<?php echo JLMSCSS::tableheadertag();?> width="20" class="<?php echo JLMSCSS::_('sectiontableheader');?>" align="center">#</<?php echo JLMSCSS::tableheadertag();?>>
					<<?php echo JLMSCSS::tableheadertag();?> width="16" class="<?php echo JLMSCSS::_('sectiontableheader');?>" align="center">&nbsp;</<?php echo JLMSCSS::tableheadertag();?>>
					<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?>"><?php echo _JLMS_DOCS_TBL_DOCNAME;?></<?php echo JLMSCSS::tableheadertag();?>>
					<<?php echo JLMSCSS::tableheadertag();?> class="<?php echo JLMSCSS::_('sectiontableheader');?>"><?php echo _JLMS_COURSES_TBL_HEAD_NAME;?></<?php echo JLMSCSS::tableheadertag();?>>
				</tr>
			</thead>
			<tfoot>
			</tfoot>
			<tbody>
			<?php
			$k = 1;
			$num = 1;
			for ($i=0, $n=count($del_items); $i < $n; $i++) {
				$row = $del_items[$i];
				foreach ($row->course_ids as $row_course_id) {
?>
					<tr class="<?php echo JLMSCSS::_('sectiontableentry'.$k); ?>">
						<td align="center"><?php echo ( $num ); ?></td>
						<td>
						<?php
						echo '<span class="jlmsicon-'.$row->file_icon.'"></span>';
						?>
						</td>
						<td align="left">
						<?php echo $row->doc_name;?>
						</td>
						<td><?php echo isset($course_names[$row_course_id]->course_name) ? $course_names[$row_course_id]->course_name : '';?></td>
					</tr>
					<?php
					$k = 3 - $k;
					$num++;
				}
			}?>
			</tbody>
			</table>
			<input type="hidden" name="option" value="<?php echo $option;?>" />
			<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
			<input type="hidden" name="task" value="outdoc_delete" />
<?php foreach ($old_cid as $old_cid1) { ?>
<input type="hidden" name="cid[]" value="<?php echo $old_cid1;?>" />
<?php } ?>
			<input type="hidden" name="force_delete" value="1" />
		</form>
	<?php
		JLMS_TMPL::CloseTS();
		JLMS_TMPL::CloseMT();
	}

    static function showEditDocument( $doc_details, &$lists, $option ) {
		global $Itemid, $JLMS_CONFIG;		
		
		$is_dis_start = !($doc_details->publish_start == 1);
		$is_dis_end = !($doc_details->publish_end == 1);				
		
		JLMS_HTML::_('jlms_html.calendar.calendarextjs', $doc_details->publish_start, $doc_details->publish_end );
	?>
<script language="javascript" type="text/javascript">
jQuery(function($){
	$('.addfile-form-name').hide();
	$('.addfile-form-file').hide();
});

window.addEvent('domready', function() {	
	<?php
		if($is_dis_start) { 
	?>	
			document.adminForm.startday.disabled = true;
			document.adminForm.startmonth.disabled = true;
			document.adminForm.startyear.disabled = true;
	<?php 
		}	
		if($is_dis_end) 
		{ 
	?>			
			document.adminForm.endday.disabled = true;
			document.adminForm.endmonth.disabled = true;
			document.adminForm.endyear.disabled = true;	
	<?php 
		}
	?>	
});

function setgood() {
	return true;
}
function submitbutton(pressbutton) {
	var form=document.adminForm;
	
	try {
		form.onsubmit();
	} catch(e) {
		//alert(e);
	}
	if (is_start_c == 1) {if (form.start_date.value == ''){jlms_getDate('start');}}
	if (is_end_c == 1) {if (form.end_date.value == ''){jlms_getDate('end');}}
	<?php if (!$doc_details->id && !($doc_details->folder_flag ==1)) { ?>
	if ((pressbutton=='save_outdoc') && ((form.userfile0.value=="") && (form.doc_name0.value==""))){alert("<?php echo _JLMS_DOCS_SELECT_FILE_OR_ENTER_NAME;?>");
	<?php } else {?>
	if ((pressbutton=='save_outdoc') && (form.doc_name0.value=="")){alert("<?php echo _JLMS_PL_ENTER_NAME;?>");
	<?php } ?>
	} else {

<?php 	$editor =JLMS07062010_JFactory::getEditor();
    	echo $editor->save( 'doc_description' ); ?>

		form.task.value = pressbutton;
		form.submit();
	}
}

function Add_new_form() {
	jQuery('.addfile-form-name').filter(':hidden').eq(0).show();
	jQuery('.addfile-form-file').filter(':hidden').eq(0).show();
}
</script>
<?php
		if ($doc_details->folder_flag == 1) {
			$title = $doc_details->id ? _JLMS_OUTDOCS_TITLE_EDIT_FOLDER : _JLMS_OUTDOCS_TITLE_NEW_FOLDER;
		} else {
			$title = $doc_details->id ? _JLMS_OUTDOCS_TITLE_EDIT_DOC : _JLMS_OUTDOCS_TITLE_NEW_DOC;
		}
		
		$contentHeader	= new \LMS\Widgets\ContentHeader(array('title' => $title, 'icon' => 'documents'));
		$toolbar = new \LMS\Widgets\ContentToolbar();	
		
		$toolbar->addSaveButton(array('href' => "javascript:submitbutton('save_outdoc');"));
		$toolbar->addCancelButton(array('href' => "javascript:submitbutton('cancel_outdoc');"));
	
		echo $contentHeader;
		echo $toolbar;
?>
		<form action="<?php echo sefRelToAbs("index.php?option=".$option."&amp;Itemid=".$Itemid);?>" method="post" name="adminForm" enctype="multipart/form-data" onsubmit="setgood();">
			<div class="form-horizontal">
				<div class="row-fluid">
					<div class="control-group">
						<div class="control-label">
							<?php echo _JLMS_ENTER_NAME; ?>
						</div>
						<div class="controls">
							<input class="inputbox" size="40" type="text" name="doc_name0" value="<?php echo str_replace('"','&quot;',$doc_details->doc_name);?>" />
						</div>
					</div>
					<?php 
					if (!($doc_details->folder_flag == 1)) {
						?>
						<div class="control-group">
							<div class="control-label">
								<?php echo _JLMS_CHOOSE_FILE; ?>
							</div>
							<div class="controls">
								<input size="40" class="inputbox" type="file" name="userfile0"/>
							</div>
						</div>
						<?php 
						if (!$doc_details->id) {
							for($i=1;$i<10;$i++) {
							?>
							<div class="addfile-form-name control-group">
								<div class="control-label">
									<?php echo  _JLMS_ENTER_NAME; ?>
								</div>
								<div class="controls">
									<input class="inputbox" size="40" type="text" name="doc_name<?php echo $i;?>" value="<?php echo str_replace('"','&quot;',$doc_details->doc_name);?>" />
								</div>
							</div>
							<div class="addfile-form-file control-group">
								<div class="control-label">
									<?php echo  _JLMS_CHOOSE_FILE; ?>
								</div>
								<div class="controls">
									<input size="40" class="inputbox" type="file" name="userfile<?php echo $i;?>" />
								</div>
							</div>
							<?php
							}
							?>
							<div class="control-group">
								<div class="controls">
									<input type="button" onclick="javascript:Add_new_form();" value="+" style="width: 70px;" name="add_new_g_cat" class="text_area"/>
								</div>
							</div>
							<div class="control-group">
								<div class="control-label">
									<?php echo  _JLMS_OUTDOCS_UPLOAD_ZIP_FILES; ?>
								</div>
								<div class="controls">
									<?php echo $lists['upload_zip']; ?>
									<span class="small"><?php echo _JLMS_OUTDOCS_UPLOAD_ZIP_FILES_NOTE;?>
								</div>
							</div>
							<?php
						}
					}
					?>
					<div class="control-group">
						<div class="control-label">
							<?php echo _JLMS_PLACE_IN; ?>
						</div>
						<div class="controls">
							<?php echo $lists['course_folders'];?>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<?php echo _JLMS_ORDERING; ?>
						</div>
						<div class="controls">
							<input class="inputbox" size="40" type="text" name="doc_order" maxlength="5" value="<?php echo $doc_details->ordering;?>" />
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<?php echo _JLMS_PUBLISHING;?>
						</div>
						<div class="controls">
							<?php echo $lists['publishing'];?>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<?php echo _JLMS_START_DATE;?>
						</div>
						<div class="controls">
							<input class="jlms_date_picker_check" type="checkbox" value="1" name="is_start" onclick="jlms_Change_start()" <?php echo $doc_details->publish_start?'checked':'';?> />
							<?php 									
								$s_date = ($is_dis_start)?date('Y-m-d'):$doc_details->start_date;
								echo JLMS_HTML::_('calendar.calendar',$s_date,'start','start');
							?>							
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<?php echo _JLMS_END_DATE;?>
						</div>
						<div class="controls">
							<input class="jlms_date_picker_check" type="checkbox" value="1" name="is_end" onclick="jlms_Change_end()" <?php echo $doc_details->publish_end?'checked':'';?> />
							<?php 									
								$e_date = ($is_dis_end)?date('Y-m-d'):$doc_details->end_date;
								echo JLMS_HTML::_('calendar.calendar',$e_date,'end','end');
							?>							
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<?php echo _JLMS_OUTDOCS_VISFOR;?>
						</div>
						<div class="controls">
							<?php							
							$options = array();
							$options[] = mosHTML::makeOption( 0, _JLMS_OUTDOCS_PRIVATE );
							$options[] = mosHTML::makeOption( 1, _JLMS_OUTDOCS_TEACHERS);
							$options[] = mosHTML::makeOption( 2, _JLMS_OUTDOCS_ALL);
							
							$lists['outdoc_share'] = mosHTML::selectList( $options, 'outdoc_share', 'class="inputbox" size="1" style="width:275px;"', 'value', 'text', $doc_details->outdoc_share );
							echo $lists['outdoc_share'];
							?>					
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<?php echo _JLMS_OUTDOCS_SHOWCOURSES;?>
						</div>
						<div class="controls">
							<?php echo $lists['share_to_courses'] ?>
						</div>
					</div>
					<div class="control-group">
						<div class="control-label">
							<?php echo _JLMS_DESCRIPTION;?>
						</div>
						<div class="controls">
							<?php JLMS_editorArea( 'editor1', $doc_details->doc_description, 'doc_description', '100%', '250', '40', '20' ); ?>
						</div>
					</div>
				</div>
			</div>				
			<input type="hidden" name="option" value="<?php echo $option;?>" />
			<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
			<input type="hidden" name="task" value="update_document" />
			<input type="hidden" name="boxchecked" value="0" />
			<input type="hidden" name="folder_flag" value="<?php echo $doc_details->folder_flag;?>" />
			<input type="hidden" name="id" value="<?php echo $doc_details->id;?>" />
		</form>
<?php
	}

	//to do: sdelat' preloadimages() - ok
	//to do: vstavit' proverku na nalichie otmechennogo polya pri 'delete' i 'edit' - ok
	// (TIP) v JS pri hide rows stoit display = ''; (dlya CSS2 standarta nugno display = 'table-row' - no iz-za etogo glucki v IE !!)
    static function showCourseDocuments( $option, &$rows, &$lists, $is_teacher) {
		global $Itemid, $my, $JLMS_CONFIG,$JLMS_DB;
		
		$JLMS_ACL = JLMSFactory::getACL();
		$is_teacher = $JLMS_ACL->isTeacher();
		$can_do_everything = $JLMS_ACL->CheckPermissions('library', 'only_own_items') ? false : ( $is_teacher ? true : false);
		$rows_c = $lists['collapsed_folders'];		
		?>		
<script language="javascript" type="text/javascript">
<!--//--><![CDATA[//><!--
function submitbutton(pressbutton) {
	var form = document.adminForm;
	if ((pressbutton == 'outdoc_delete') && (form.boxchecked.value == '0')) {
		alert( "<?php echo _JLMS_ALERT_SELECT_ITEM;?>" );
	} else if((pressbutton == 'outdoc_delete')){
		if(confirm('<?php echo _JLMS_OUTDOCS_JS_CONFIRM_DELETE;?>')){
			form.task.value = pressbutton;
			form.submit();
		}
	} else if ((pressbutton == 'edit_outdoc') && (form.boxchecked.value == '0')) {
		alert( "<?php echo _JLMS_ALERT_SELECT_ITEM;?>" );
	} else {
		form.task.value = pressbutton;
		form.submit();
	}
}
function submitbutton_change(pressbutton, state) {
	var form = document.adminForm;
	if (pressbutton == 'change_outdoc'){
		if (form.boxchecked.value == '0') {
			alert( "<?php echo _JLMS_ALERT_SELECT_ITEM;?>" );
		} else {
			form.task.value = pressbutton;
			form.state.value = state;
			form.submit();
		}
	}
}
function submitbutton_change2(pressbutton, state, cid_id) {
	var form = document.adminForm;
	if (pressbutton == 'change_outdoc'){
		form.task.value = pressbutton;
		form.state.value = state;
		form.cid2.value = cid_id;
		form.submit();
	}
}
function submitbutton_order(pressbutton, item_id) {
	var form = document.adminForm;
	if ((pressbutton == 'outdoc_orderup') || (pressbutton == 'outdoc_orderdown')){
		if (item_id) {
		form.task.value = pressbutton;
		form.row_id.value = item_id;
		form.submit();
		}
	}
}

var TreeArray1 = new Array();
var TreeArray2 = new Array();
var Is_ex_Array = new Array();
<?php

$i = 1;
foreach ($rows as $row) {
	echo "TreeArray1[".$i."] = ".$row->parent_id.";";
	echo "TreeArray2[".$i."] = ".$row->id.";";
	if (in_array($row->id, $rows_c)) {
		echo "Is_ex_Array[".$i."] = 0;";
	} else {
		echo "Is_ex_Array[".$i."] = 1;";
	}
	$i ++;
}
?>
function Hide_Folder(fid) {
	var vis_style = 'hidden';
	var dis_style = 'none';
	var i = 1;
	while (i < TreeArray1.length) {
		if (TreeArray1[i] == fid) {
			getObj('tree_row_'+TreeArray2[i]).style.visibility = vis_style;
			getObj('tree_row_'+TreeArray2[i]).style.display = dis_style;
			Hide_Folder(TreeArray2[i])
		}
		i ++;
	}
}
function Show_Folder(fid) {
	var vis_style = 'visible';
	var dis_style = '';
	var i = 1;
	while (i < TreeArray1.length) {
		if (TreeArray1[i] == fid) {
			if (getObj('tree_row_'+TreeArray2[i])) {
				getObj('tree_row_'+TreeArray2[i]).style.display = dis_style;
				getObj('tree_row_'+TreeArray2[i]).style.visibility = vis_style;
			}
			NoChange_Folder(TreeArray2[i])
		}
		i ++;
	}
}
function NoChange_Folder(fid) {
	var vis_style = 'hidden';var dis_style = 'none';var i = 1;var j = 0;
	while (i < TreeArray2.length) {
		if ( (TreeArray2[i] == fid) && (Is_ex_Array[i] == 1) ) {
			vis_style = 'visible';
			dis_style = '';
			j = 1;
		}
		i ++;
	}
	i = 1;
	while (i < TreeArray1.length) {
		if (TreeArray1[i] == fid) {
			getObj('tree_row_'+TreeArray2[i]).style.visibility = vis_style;
			getObj('tree_row_'+TreeArray2[i]).style.display = dis_style;
			if (j == 1) { NoChange_Folder(TreeArray2[i]);
			} else { Hide_Folder(TreeArray2[i]); }
		}
		i ++;
	}
}
function Ex_Folder(fid) {
	var i = 1;
	var j = 1;
	while (i < TreeArray2.length) {
		if ( (TreeArray2[i] == fid) && (Is_ex_Array[i] == 1) ) { j = 0; }
		i ++;
	}
	if (j == 1) {
		Show_Folder(fid);		
		jQuery('#tree_img_' + fid).removeClass('jlmsicon-folder-plus').addClass('jlmsicon-folder-minus');		
	} else {
		Hide_Folder(fid);
		jQuery('#tree_img_' + fid).removeClass('jlmsicon-folder-minus').addClass('jlmsicon-folder-plus');		
	}
	i = 1;
	while (i < TreeArray2.length) {
		if ( (TreeArray2[i] == fid) ) {
			if (Is_ex_Array[i] == 1) { Is_ex_Array[i] = 0;
			} else { Is_ex_Array[i] = 1; }
		}
		i ++;
	}
}

function submitbutton_change2(pressbutton, state, cid_id) {
	var form = document.adminForm;
	if (pressbutton == 'change_outdoc'){
		form.task.value = pressbutton;
		form.state.value = state;
		form.cid2.value = cid_id;
		form.submit();
	}
}

JLMS_preloadImages('<?php echo $JLMS_CONFIG->get('live_site');?>/components/com_joomla_lms/lms_images/docs/expandall.png','<?php echo $JLMS_CONFIG->get('live_site');?>/components/com_joomla_lms/lms_images/docs/collapseall.png'<?php if ($is_teacher) { echo ", '".$JLMS_CONFIG->get('live_site').'/'.$JLMS_CONFIG->get('ajax_settings_small_indicator')."'"; } ?>);
//--><!]]>
</script>
<?php
		$query = "SELECT tip_message FROM #__lms_page_tips WHERE tip_task = 'file_library'";
		$JLMS_DB->SetQuery($query);
		$tip = $JLMS_DB->LoadResult();
		
		$contentHeader	= new \LMS\Widgets\ContentHeader(array('title' => _JLMS_TOOLBAR_LIBRARY, 'icon' => 'documents'));
		$toolbar = new \LMS\Widgets\ContentToolbar();
												
		$note =  new \LMS\Widgets\Note(array('message' => $tip, 'type' => 'warning'));
						
		if($is_teacher){
			$link_foldernew = ampReplace(sefRelToAbs("index.php?option=$option&amp;Itemid=$Itemid&amp;task=new_outfolder"));
			$link_filenew = ampReplace(sefRelToAbs("index.php?option=$option&amp;Itemid=$Itemid&amp;task=new_outdocs"));
			$link_scormnew = ampReplace(sefRelToAbs("index.php?option=$option&amp;Itemid=$Itemid&amp;task=new_scorm"));
			
			$newBtn = $toolbar->addNewButton();			
			$newBtn->addCustomItem(array('href' => $link_filenew, 'title' => _JLMS_DOCS_LNK_NEW_DOC, 'icon' => 'file'));
			$newBtn->addCustomItem(array('href' => $link_foldernew, 'title' => _JLMS_DOCS_LNK_NEW_FOLDER, 'icon' => 'folder'));	
			$newBtn->addCustomItem(array('href' => $link_scormnew, 'title' => _JLMS_DOCS_NEW_SCORM_PACKAGE, 'icon' => 'file'));
			
			$actionsBtn	= $toolbar->addActionsButton();			
			$actionsBtn->addDeleteItem(array('href' => "javascript:submitbutton('outdoc_delete');", 'title' => _JLMS_DELETE));			
			$actionsBtn->addSeparator();			
			$actionsBtn->addPublishItem(array('href' => "javascript:submitbutton_change('change_outdoc',1);"));
			$actionsBtn->addUnpublishItem(array('href' => "javascript:submitbutton_change('change_outdoc',0);"));
		}		
	
		echo $contentHeader;
		echo $toolbar;
		echo $note;
		
		$max_tree_width = 0; if (isset($rows[0])) {$max_tree_width = $rows[0]->tree_max_width;}		
		$is_teacher = $JLMS_ACL->isTeacher();
?>
			<form action="<?php echo $JLMS_CONFIG->get('live_site') . "/index.php?option=".$option."&amp;Itemid=".$Itemid;?>" method="post" id="adminForm" name="adminForm" enctype="multipart/form-data">
<?php 	if (!empty($rows)) { ?>
				<table width="100%" cellpadding="0" cellspacing="0" border="0" class="<?php echo JLMSCSS::_('jlmslist');?>">
				<thead>
					<tr>
						<th width="20" align="center">#</th>			
						<?php if ($my->id == $row->owner_id || $can_do_everything ) { ?>
						<th colspan="2" width="20"><input type="checkbox" style="visibility:hidden;" /></th>					
						<?php } ?>
						<?php for ($th_i = 0; $th_i < ($max_tree_width + 1); $th_i ++) { ?>
						<th width="1%"><span style="display: block; width: 16px;">&nbsp;</span></th>
						<?php } ?>
						<th width="45%"><span style="display: block; width: 150px; text-align: left;"><?php echo _JLMS_DOCS_TBL_DOCNAME;?></span></th>					
						<th colspan="2">&nbsp;</th>						
						<th><?php echo _JLMS_DOCS_TBL_STARTING;?></th>
						<th><?php echo _JLMS_DOCS_TBL_ENDING;?></th>					
						<th width="60%"><?php echo _JLMS_DOCS_TBL_DESCR;?></th>
					</tr>
				</thead>
				<tfoot>
				</tfoot>
				<tbody>
				<?php
				$k = 1;
				$tree_modes = array();
				$visible_folder = true;
				//$next_row_is_visible = true;
				$vis_mode = 0;
				for ($i=0, $n=count($rows); $i < $n; $i++) {
					$row = $rows[$i];
					
					$max_tree_width = $row->tree_max_width;
					$link = ''; $link_title = '';
					if ($row->folder_flag ==2) {
						$link = sefRelToAbs("index.php?option=".$option."&amp;Itemid=".$Itemid."&amp;task=docs_view_zip&amp;id=".$row->id);
						$link_title = _JLMS_T_A_VIEW_ZIP_PACK;
					} elseif (!$row->folder_flag && $row->file_id) {
						$link = sefRelToAbs("index.php?option=".$option."&amp;Itemid=".$Itemid."&amp;task=get_outdoc&amp;id=".$row->id);
						$link_title = _JLMS_DOCS_LINK_DOWNLOAD;
					} elseif (!$row->folder_flag && !$row->file_id) {
						$link = sefRelToAbs("index.php?option=".$option."&amp;Itemid=".$Itemid."&amp;task=outdocs_view_content&amp;id=".$row->id);
						$link_title = _JLMS_T_A_VIEW_CONTENT;
					} elseif ($row->folder_flag == 3 && $row->file_id) {
						$link = sefRelToAbs("index.php?option=".$option."&amp;Itemid=".$Itemid."&amp;task=playerSCORMFiles&amp;id=".$row->file_id."&amp;doc_id=".$row->id);
						$link_title = _JLMS_T_A_VIEW_CONTENT;
					}
					$time_p = ($row->publish_start || $row->publish_end);
					$alt = ($row->published)?($time_p?_JLMS_STATUS_PUB2:_JLMS_STATUS_PUB):_JLMS_STATUS_UNPUB;
					$image = ($row->published)?($time_p?'btn_publish_wait.png':'btn_accept.png'):'btn_cancel.png';//($time_p?'btn_unpublish_wait.png':'btn_cancel.png');
					if ($time_p) {
						$is_expired = false;
						if ($row->publish_start) {
							$s_date = strtotime($row->start_date);
							if ($s_date > time()) {
								$is_expired = true;
							}
						}
						if ($row->publish_end && (!$is_expired)) {
							$e_date = strtotime($row->end_date);
							if ($e_date < time()) {
								$is_expired = true;
							}
						}
						if ($is_expired) {
							$alt = _JLMS_STATUS_EXPIRED;
							$image = 'btn_expired.png';
						}
					}
					$state = ($row->published)?0:1;
					$checked = mosHTML::idBox( $i, $row->id);
					// Collapsed/Expanded view
					$tree_row_style = '';
					$visible_folder = true;//$next_row_is_visible;
					//$next_row_is_visible = true;
					if ($vis_mode) {
						if ($row->tree_mode_num < $vis_mode) {
							$vis_mode = 0;
						}
					}
					if (in_array($row->id, $rows_c)) {
						//$next_row_is_visible = false;
						if ($vis_mode) {
							if ($row->tree_mode_num < $vis_mode) {
								$vis_mode = $row->tree_mode_num;
							} else {
								$visible_folder = false;
							}
						} else {
							$vis_mode = $row->tree_mode_num+1;
						}
					} elseif($vis_mode) {
						if ($row->tree_mode_num >= $vis_mode) {
							$visible_folder = false;
						} else {
							$vis_mode = 0;
						}
					}
					if (!$visible_folder) {
						$tree_row_style = ' style="visibility:hidden;display:none"';
					}					
					?>
					<tr id="tree_row_<?php echo $row->id;?>" <?php echo $tree_row_style;?>>
						<td align="center" valign="middle"><?php echo ( $i + 1 ); ?></td>					
						<?php if ($my->id == $row->owner_id || $can_do_everything ) { ?>
						<td valign="middle"><?php echo $checked; ?></td>						
						<td>
							<?php
							$itemToolbar = new \LMS\Widgets\Itemtoolbar();							
							$itemToolbar->addPublishButtonLegacy(array(
								'state' => $row->published, 
								'href'=>'javascript:submitbutton_change2(\'change_outdoc\','.($row->published?0:1).','.$row->id.')'
							));													
							
							$dropDown = $itemToolbar->addDropDownButton();						
							$dropDown->addEditItem( array('href' => 'javascript:listItemTask(\'cb'.$i.'\', \'edit_outdoc\')'));
							$dropDown->addDeleteItem( array('href' => 'javascript:listItemTask(\'cb'.$i.'\', \'outdoc_delete\')') );
							
							echo $itemToolbar;																
							?>
						</td>
						<?php } ?>
						<?php $add_img = '';
						if ($row->tree_mode_num) {
							$g = 0;
							$tree_modes[$row->tree_mode_num - 1] = $row->tree_mode;
							while ($g < ($row->tree_mode_num - 1)) {
								$pref = '';
								if (isset($tree_modes[$g]) && ($tree_modes[$g] == 2) ) { $pref = 'empty_'; }
								$add_img .= "<td width='16' valign='middle'><img src=\"".$JLMS_CONFIG->get('live_site')."/components/com_joomla_lms/lms_images/treeview/".$pref."line.png\" width='16' height='16' alt='".$pref."line' /></td>";
								$g ++;
							}
							$add_img .= "<td width='16' valign='middle'><img src=\"".$JLMS_CONFIG->get('live_site')."/components/com_joomla_lms/lms_images/treeview/sub".$row->tree_mode.".png\" width='16' height='16' alt='sub".$row->tree_mode."' /></td>";
							$max_tree_width = $max_tree_width - $g - 1;
						}
						echo $add_img;?>
						<td align="center" valign="middle" width='16'>
						<?php if ($row->folder_flag == 1) {
							$icon = 'jlmsicon-folder-minus';
							$collapse_alt = _JLMS_DOCS_COLL_FOLDER;
							if (in_array($row->id, $rows_c)) {								
								$icon = 'jlmsicon-folder-plus';
								$collapse_alt = _JLMS_DOCS_EXP_FOLDER;
							}									
							echo "<span id='tree_div_".$row->id."' style='alignment:center; width:16px; font-weight:bold; cursor:pointer; vertical-align:middle;' onclick='Ex_Folder(".$row->id.",".$row->id.",true)'><span id=\"tree_img_".$row->id."\" class=\"".$icon." jlms-icon-medium\"></span></span>";
						} else {
							echo '<span class="jlmsicon-'.$row->file_icon.' jlms-icon-medium"></span>';
						}?>
						</td>
						<td align="left" valign="middle" <?php if ($max_tree_width > 0) { echo "colspan='".($max_tree_width + 1)."'";} ?> width="45%">
						<span style='font-weight:bold; vertical-align:middle;'>
						<?php if ($row->folder_flag == 1) {
							echo '&nbsp;<strong>'.$row->doc_name.'</strong>';
						} else { ?>
							<?php if(($is_teacher && $row->outdoc_share) || (!$is_teacher && $row->outdoc_share == 2) || ($my->id == $row->owner_id) || $can_do_everything){
								$add_link_params = '';
								if ($row->folder_flag == 3 && isset($row->scorm_params) && $row->scorm_params) {
									$tmp_params = new JLMSParameters($row->scorm_params);
									if ($tmp_params->get('scorm_layout',0) == 1) {
										$x_size = 0;
										$y_size = 0;
										if (isset($row->scorm_width) && $row->scorm_width > 100) {
											$x_size = $row->scorm_width;
										}
										if (isset($row->scorm_height) && $row->scorm_height > 100) {
											$y_size = $row->scorm_height;
										}
                                        //DEN 22 Dec 2011: added "onlick=return false;"... on some hosts ondomready fires very late (e.g. after ~8-10 seconds)
                                        // ... and users tried to click link before squeezebox is initialized for the link.
										$add_link_params = ' class="scorm_modal" onclick="return false;" rel="{handler:\'iframe\', size:{x:'.$x_size.',y:'.$y_size.'}}"';
										JLMS_initialize_SqueezeBox();
									}
								}
?>
<?php if ($link) { ?>
							<a href="<?php echo $link;?>"<?php echo $add_link_params;?> title="<?php echo str_replace('"', '&quot;',$row->doc_name);?>">
<?php } ?>
							<?php } ?>
								&nbsp;<?php echo $row->doc_name;?>
								<?php if(($is_teacher && $row->outdoc_share) || (!$is_teacher && $row->outdoc_share == 2) || ($my->id == $row->owner_id) || $can_do_everything){?>
<?php if ($link) { ?>
							</a>
<?php } ?>
						<?php } }?>
						</span>
						<?php if($JLMS_CONFIG->get('show_library_authors', 0) && $row->author_name){?>						
						<span class="small"><?php echo _JLMS_HOME_AUTHOR . "&nbsp;" . $row->author_name;?></span>
						<?php } ?>

						</td>
					<?php 
					//if ($JLMS_ACL->CheckPermissions('docs', 'manage')) { ?>
						<td valign="middle" style="vertical-align:middle "><?php if ($row->allow_up == 1 && ($my->id == $row->owner_id || $can_do_everything)) { echo JLMS_orderUpIcon( 1, $row->id, true, 'outdoc_orderup'); } else { echo '&nbsp;';}?></td>
						<td valign="middle" style="vertical-align:middle "><?php if ($row->allow_down == 1 && ($my->id == $row->owner_id || $can_do_everything)) { echo JLMS_orderDownIcon( 1, 3, $row->id, true, 'outdoc_orderdown'); } else { echo '&nbsp;';}?></td>												
						<td align="center" nowrap='nowrap' valign="middle"><?php echo ($row->publish_start?JLMS_dateToDisplay($row->start_date):'-');?></td>
						<td align="center" nowrap='nowrap' valign="middle"><?php echo ($row->publish_end?JLMS_dateToDisplay($row->end_date):'-');?></td>
					<?php  //} ?>
						<td><?php
							$doc_descr = strip_tags($row->doc_description);
							if (!$row->folder_flag && !$row->file_id) {
								if (strlen($doc_descr) > 75) {
									$doc_descr = substr($doc_descr, 0, 75)."...";
								}
							}
							echo $doc_descr?$doc_descr:'&nbsp;'; ?>
						</td>
					</tr>
					<?php
					$k = 3 - $k;
				} ?>	
				</tbody>
				</table>				
<?php
		} else {
			echo '<div class="joomlalms_user_message">'._JLMS_NO_ITEMS_HERE.'</div>';
		}
?>
				<input type="hidden" name="option" value="<?php echo $option;?>" />
				<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<input type="hidden" name="row_id" value="0" />
				<input type="hidden" name="state" value="0" />
				<input type="hidden" name="cid2" value="0" />
			</form>

<?php
	}

    static function showEditScorm( &$row, &$lists, $option, $params, $lp_params ) {
		global $Itemid, $_MAMBOTS, $JLMS_CONFIG; 
		
		?>
		<script language="javascript" type="text/javascript">
		<!--
		jQuery(function($){
			$('#choose_ftp_file').hide();
			$('#file_location').chosen().change(function(e, el){
				if(el.selected == 1) {
					$('#choose_ftp_file').show();
					$('#choose_local_file').hide();
				} else {
					$('#choose_ftp_file').hide();
					$('#choose_local_file').show();
				}	
			});
		});
		
		var tmp_sl_var = <?php echo $params->get('scorm_layout',0);?>;
		function submitbutton(pressbutton, jform_name) {
			var form = document.adminForm;
			<?php	
				$editor =JLMS07062010_JFactory::getEditor();
				echo $editor->save('doc_description');	
			?>
			try {
				form.onsubmit();
			} catch(e) {
				//alert(e);
			}
			if (pressbutton == 'cancel_scorm') {
				form.task.value = 'cancel_scorm';
				form.submit();
			} else {
				if (pressbutton == 'save_scorm') {
						form.task.value = 'save_scorm';
						form.submit();
				}
			}
		}
		function jlms_change_scorm_stages_view() {
			var form = document.adminForm;
			if (tmp_sl_var == 1) {
				$('scorm_stage_width_section').style.display = '';
			} else {
				$('scorm_stage_width_section').style.display = 'none';
				form.scorm_width.value = 0;
			}
		}		
		-->		
		</script>
		<?php

		$title = $row->id ? _JLMS_DOCS_EDIT_SCORM_PACKAGE : _JLMS_DOCS_NEW_SCORM_PACKAGE;
		
		$contentHeader	= new \LMS\Widgets\ContentHeader(array('title' => $title, 'icon' => 'documents'));
		$toolbar = new \LMS\Widgets\ContentToolbar();	
		
		$toolbar->addSaveButton(array('href' => "javascript:submitbutton('save_scorm');"));
		$toolbar->addCancelButton(array('href' => "javascript:submitbutton('cancel_scorm');"));
	
		echo $contentHeader;
		echo $toolbar;
		

			if (!$row->id || ($row->id && $row->folder_flag == 3)) {?>
				<form action="<?php echo sefRelToAbs("index.php?option=$option&amp;Itemid=$Itemid");?>" method="post" id="adminForm" name="adminForm" enctype="multipart/form-data" onsubmit="setgood();">
					<div class="form-horizontal">
						<div class="row-fluid">
							<div class="control-group">
								<div class="control-label">
									<?php echo _JLMS_ENTER_NAME; ?>
								</div>
								<div class="controls">
									<input size="40" class="inputbox" type="text" name="doc_name" value="<?php echo $row->doc_name;?>" />
								</div>
							</div>							
							<div class="control-group">								
								<div class="controls">
									<?php							
									$options = array();
									$options[] = mosHTML::makeOption( 0, _JLMS_LPATH_CHOOSE_LOCAL_FILE );
									$options[] = mosHTML::makeOption( 1, _JLMS_LPATH_CHOOSE_FTP_FILE);									
									
									echo mosHTML::selectList( $options, 'file_location', 'class="inputbox" size="1" style="width:275px;"', 'value', 'text', 0);									
									?>					
								</div>
							</div>
							<div class="control-group" id="choose_local_file" >
								<div class="control-label">
									<label for="scorm_upl_type_1"><?php echo _JLMS_CHOOSE_LOCAL_FILE;?>:</label>
								</div>														
								<div class="controls">									
									<input size="40" class="inputbox" type="file" name="scorm_file" />
								</div>
							</div>
							<div class="control-group" id="choose_ftp_file">
								<div class="control-label">
									<label for="scorm_upl_type_2"><?php echo _JLMS_CHOOSE_FTP_FILE;?>:</label>
								</div>														
								<div class="controls">									
									<input size="40" class="inputbox" type="text" name="scorm_ftp_file" />
								</div>
							</div>
							<div class="control-group">
								<div class="control-label">
									<?php echo _JLMS_PLACE_IN;?>
								</div>
								<div class="controls">
									<?php echo $lists['course_folders'];?>
								</div>
							</div>
							<div class="control-group">
								<div class="control-label">
									<?php echo _JLMS_PUBLISHING;?>
								</div>
								<div class="controls">
									<?php echo $lists['publishing'];?>
								</div>
							</div>
							<div class="control-group">
								<div class="control-label">
									<?php echo _JLMS_LP_SCORM_LAYOUT_TYPE;?>
								</div>
								<div class="controls">
									<select class="inputbox" size="1" name="params[scorm_layout]"  onchange="tmp_sl_var = this.value;jlms_change_scorm_stages_view();">
										<option<?php if($params->get('scorm_layout',0)==0) echo ' selected="selected"';?> value="0"><?php echo _JLMS_LP_SCORM_LAYOUT_INLINE;?></option>
										<option<?php if($params->get('scorm_layout',0)==1) echo ' selected="selected"';?> value="1"><?php echo _JLMS_LP_SCORM_LAYOUT_SBOX;?></option>
									</select>
								</div>
							</div>
							<div class="control-group" id="scorm_stage_width_section"<?php if($params->get('scorm_layout',0)==0) { echo ' style="display:none"'; } ?>>
								<div class="control-label">
									<?php echo _JLMS_LP_SCORM_DISPLAY_WIDTH;?>
								</div>
								<div class="controls">
									<input size="40" class="inputbox" type="text" name="scorm_width" value="<?php echo $row->scorm_width;?>" />
								</div>
							</div>
							<div class="control-group">
								<div class="control-label">
									<?php echo _JLMS_LP_SCORM_DISPLAY_HEIGHT;?>
								</div>
								<div class="controls">
									<input size="40" class="inputbox" type="text" name="scorm_height" value="<?php echo $row->scorm_height;?>" />
								</div>
							</div>
							<div class="control-group">
								<div class="control-label">
									<?php echo _JLMS_LPATH_SCORM_NAV_BAR_OPTION;?>
								</div>
								<div class="controls">
									<select class="inputbox" size="1" name="params[scorm_nav_bar]" onchange="tmp_nb_var = this.value;jlms_change_scorm_stages_view();">
										<option<?php if($params->get('scorm_nav_bar',0)==0) echo ' selected="selected"';?> value="0"><?php echo _JLMS_LP_SCORM_NAV_BAR_HIDE;?></option>
										<option<?php if($params->get('scorm_nav_bar',0)==1) echo ' selected="selected"';?> value="1"><?php echo _JLMS_LP_SCORM_NAV_BAR_TOP;?></option>
										<option<?php if($params->get('scorm_nav_bar',0)==2) echo ' selected="selected"';?> value="2"><?php echo _JLMS_LP_SCORM_NAV_BAR_LEFT;?></option>
									</select>
								</div>
							</div>
							<div class="control-group">
								<div class="control-label">
									<?php echo _JLMS_OUTDOCS_VISFOR?>
								</div>
								<div class="controls">
									<?php							
									$options = array();
									$options[] = mosHTML::makeOption( 0, _JLMS_OUTDOCS_PRIVATE);
									$options[] = mosHTML::makeOption( 1, _JLMS_OUTDOCS_TEACHERS);
									$options[] = mosHTML::makeOption( 2, _JLMS_OUTDOCS_ALL);
									
									echo mosHTML::selectList( $options, 'outdoc_share', 'class="inputbox" size="1" style="width:275px;"', 'value', 'text', $row->outdoc_share);			
									?>														
								</div>
							</div>
							<div class="control-group">
								<div class="control-label">
									<?php echo _JLMS_OUTDOCS_SHOWCOURSES;?>
								</div>
								<div class="controls">
									<?php echo $lists['share_to_courses'];?>
								</div>
							</div>	
							<div class="control-group">
								<div class="control-label">
									<?php echo _JLMS_DESCRIPTION;?>
								</div>
								<div class="controls">
									<?php JLMS_editorArea( 'editor1', $row->doc_description, 'doc_description', '100%;', '250', '40', '20' ) ; ?>
								</div>
							</div>								
						</div>
					</div>
					<input type="hidden" name="option" value="<?php echo $option;?>" />
					<input type="hidden" name="Itemid" value="<?php echo $Itemid;?>" />
					<input type="hidden" name="task" value="save_scorm" />
					<input type="hidden" name="boxchecked" value="0" />
					<input type="hidden" name="id" value="<?php echo $row->id;?>" />
					</form>
				<?php 
				}		
	}
}
?>